package com.mmc.iuav.user.dao.fdd;

import com.mmc.iuav.user.entity.fdd.SealInfoDO;
import com.mmc.iuav.user.model.fdd.vo.SealInfoVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author LW
 * @date 2023/9/8 14:36
 * 概要：
 */
@Mapper
public interface SealManageDao {
    void insertSealInfo(SealInfoDO sealInfoDO);

    int countSealInfo(SealInfoVO param);

    List<SealInfoDO> getSealInfoList(SealInfoVO param);

    void deletedSealInfo(String signatureId);

    List<SealInfoDO> getSealInfoListByUnionId(String unionId);

    void updateSealStatusById(List<Integer> sealIds);

    void updateSealStatusBySignatureId(String signatureId);

    void updateSealName(String unionId, String signatureId, String sealName);

}
